routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
use App\Income;
use App\newCategory;
use App\Loan;
use App\BudgetCategory;
use Illuminate\Support\Facades\Response;
use Illuminate\Support\Facades\DB;

Route::get('login', 'Auth\LoginController@showLoginForm');
Route::post('login', 'Auth\LoginController@login');
Route::get('logout', 'Auth\LoginController@logout');

Route::group(['middleware' => 'auth'], function () {

    Route::get('/', function () {
        return view('dashboard');
    });

    Route::get('/home', 'HomeController@index');


    Route::get('/dashboard', function () {
        return view('dashboard');
    });

    Route::get('/table', function () {
        return view('tables');
    });

    Route::get('/table_dynamic', function () {
        return view('tables_dynamic');
    });

    /**
     * Profile Route
     */

    Route::get('profile', 'UserController@profile');

    /**
     *  Expense Route
     */


    Route::post('/expanse/appendCat',function(){

        $categoryList = newCategory::orderBy('created_at', 'desc')->first();
        return response::json($categoryList);
    });

    Route::get('expanse/report', 'ExpanseController@report');
    Route::post('expanse/viewReport', 'ExpanseController@viewReport');
    Route::any('expanse/add-new-expense', 'ExpanseController@newExpanse');
    Route::resource('expanse', 'ExpanseController');

    Route::delete('/expanse/{id?}',function($id){

        $expanse = Expanse::destroy($id);
        return response::json($expanse);
    });

    /*
     * User Route
     */

    Route::resource('user', 'UserController');

    Route::delete('/user/{id?}',function($id){

        $user = User::destroy($id);
        return response::json($user);
    });



    /**
     * Delete Route
     */

    Route::get('/delete-expanse/{id}', 'ExpanseController@delete_expanse');
    Route::get('/delete-user/{id}', 'UserController@delete_user');

    /**
     * Loan Route
     */
    Route::get('loan/report', 'LoanController@report');
    Route::post('loan/view-report', 'LoanController@showReport');
    Route::resource('loan', 'LoanController');

    Route::delete('/loan/{id?}',function($id){
        $loan = Loan::destroy($id);
        return response::json($loan);
    });

    /**
     * Budget Route
     */
    Route::post('/budget/append-new-cat',function(){

        $categoryList = BudgetCategory::orderBy('created_at', 'desc')->first();
        return response::json($categoryList);
    });

    Route::get('budget/report', 'BudgetController@report');
    Route::post('budget/viewReport', 'BudgetController@viewReport');
    Route::any('budget/add-new-budget', 'BudgetController@newBudget');
    Route::resource('budget', 'BudgetController');

//    Route::delete('/budget/{id?}',function($id){
//
//        $expanse = Expanse::destroy($id);
//        return response::json($expanse);
//    });


    /**
     * Income Route
     */

    Route::get('income/report', 'IncomeController@report');
    Route::post('income/viewReport', 'IncomeController@viewReport');
    Route::resource('income', 'IncomeController');

    Route::delete('/income/{id?}',function($id){

        $income = Income::destroy($id);
        return response::json($income);
    });
   // Route::post('/loan/check/{accountNo}', 'LoanController@matchAccount');


    Route::get('check/{accountNo?}',function(){
        $account_no = $_GET['account'];
     //  $check = Loan::matchAccount($account_no);
        $c = Loan::where('account_no', '=', $account_no)->get()->count();
        if ($c == 0)
        {
           echo $a = "ok";
            //return response::json($a);

        }
        else{

            echo   $a = "not";
          }

    });

    /* Loan Installment */

    //Route::get('create/installments', 'InstallmentController@showInstallmentsReport');
    Route::resource('installments', 'InstallmentController');
    Route::get('addinstallment', 'InstallmentController@viewDetails');
    Route::get('viewinstallment', 'InstallmentController@view');

    Route::get('viewinstallment/report', 'InstallmentController@report');
    Route::post('viewinstallment/viewreport', 'InstallmentController@showReportDetails');

    Route::delete('/delete/{id?}',function($id){
        $installment = \App\Installments::destroy($id);
        return response::json($installment);
    });



    Route::get('report/openReport', 'BalanceReportController@openReport');
    Route::post('report/viewReport', 'BalanceReportController@viewReport');

    Route::get('report/budget-expanse', 'BudgetExpanseReportController@openReport');
    Route::post('report/view-budget-expanse', 'BudgetExpanseReportController@viewReport');
    Route::get('add_installment', 'InstallmentController@indexDetails');
    Route::get('add_details', 'InstallmentController@details');

   // Route::post('delete', 'InstallmentController@delete_installment');





});

app/Loan.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;



class Loan extends Model
{
    //use Notifiable;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $table = 'tbl_loan';
    protected $fillable = ['account_no',
        'account_name',
        'bank_name',
        'bank_name',
        'bank_balance',
        'amount',
        'percent',
        'loan_duration',
        'loan_start_date',
        'comment',
        'saved_id'
    ];

    /**
     * The attributes that should be hidden for arrays.
     *
     * @var array
     */
    public function installments(){
        return $this->hasMany('App\Installments');
    }
}

app/Http/Controllers/LoanController.php
<?php


namespace model;
namespace App\Http\Controllers;
use App\Installments;
use App\Loan;
use app\Post;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Carbon\Carbon;



class LoanController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //
        $loans = Loan::all();
        return view('loan.index',['loans' =>$loans]);
       //return "Hello it's working";

    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
        return view('loan.addLoan');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //


        $loan=new Loan();

        $loan->account_no=$request->input('account_no');
        $loan->account_name=$request->input('account_name');
        $loan->bank_name=$request->input('bank_name');
        $loan->branch_name=$request->input('branch_name');
        $loan->bank_balance=$request->input('bank_balance');
        $loan->amount=$request->input('amount');
        $loan->percent=$request->input('percent');
        $loan_date = $request->input('loan_start_date');
        $start_date = strtotime($loan_date);
        $loan_start_date = date('Y-m-d', $start_date);
        $loan->loan_start_date=$loan_start_date;
        $year=$request->input('year');
        $month=$request->input('month');
        $date_=$request->input('date');
        $duration = array("$year", "$month", "$date_");
        $du = array_values($duration);

        $duration_=json_encode($du);
//
//        $x = json_decode($duration_,true);
//        var_dump($x) ;
//        exit;

        $loan->loan_duration=$duration_;
        $today = Carbon::today();
        $loan->date=$today;


//        echo $loan->loan_duration;
//        exit;

        $loan->comment=$request->input('comment');

        $loan->saved_by=Auth::user()->id;
        if($loan->save()){
            $request->session()->flash('message', 'Data added successfully!!!!!!!!!!');
        };
        return redirect('/loan');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($id)
    {
        //
        $loan = Loan::findOrFail($id);
        return view('loan.editLoan', compact('loan'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request,Loan $loan)
    {
        //
//        $loan = Loan::findOrFail($id);



        $loan->account_no=$request->input('account_no');
        $loan->account_name=$request->input('account_name');
        $loan->bank_name=$request->input('bank_name');
        $loan->branch_name=$request->input('branch_name');
        $loan->bank_balance=$request->input('bank_balance');
        $loan->amount=$request->input('amount');


        $loan->percent=$request->input('percent');

        $loan_date = $request->input('loan_start_date');
        $start_date = strtotime($loan_date);
        $loan_start_date = date('Y-m-d', $start_date);
        $loan->loan_start_date=$loan_start_date;


        $year=$request->input('year');
        $month=$request->input('month');
        $date_=$request->input('date');
        $duration = array("$year", "$month", "$date_");
        $du = array_values($duration);

        $duration_=json_encode($du);
        $loan->loan_duration=$duration_;
        $today = Carbon::today();
        $loan->date=$today;


//        echo $loan->loan_duration;
//        exit;

        $loan->comment=$request->input('comment');

//        $loan->saved_by=Auth::user()->id;



//        $loan->save();

        if ($loan->update()) {
            //$request->session()->flash('status', 'success');
           // Session::flash('message', 'Data Edited Successfully !');
            return redirect()->route('loan.index');
        };
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //

        $loan = Loan::destroy($id);
       // return view('loan.index');

        //$loan->delete();
//        return redirect()->route('loan.index')->with('alert-success','Data Deleted');
    }
    public function deleteLoan($id){
        $loan = Loan::destroy($id);

        return response::json($loan);
    }
    public function report()
    {

        $allLoanList = Loan::orderby('date', 'desc')->get();
        return view('loan.report', ['allLoanList' => $allLoanList]);

    }

    public function showReport(Request $request)
    {

        $s_date = $request->input('start_date');
        $e_date = $request->input('end_date');

        $s = strtotime($s_date);
        $e = strtotime($e_date);

        $start_date = date('Y-m-d', $s);
        $end_date = date('Y-m-d', $e);



        $allLoanList = Loan::whereBetween('loan_start_date', [$start_date, $end_date])->orderby('loan_start_date', 'desc')->get();

        return view('loan.report', ['allLoanList' => $allLoanList]);

//        return view('');
    }

    public function matchAccount($accountNo)
    {
        //$account_no = Request::get('account');
        echo $accountNo;
        exit;
        $data = [
            "error" => "Name already used........"
        ];

        $Count = Loan::where('account_no', '=', Input::get('account_no'))->get()->count();
        if (count == 0)
        {
            return response::json($Count);
        }
        else{
            return response::json($Count,$data);
        }
    }


}

resources/views/loan/editInstallments.blade.php
@extends('layouts.master')
@section('content')

    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Edit Loan</h3>
                </div>

                <div class="title_right">
                    <div class="col-md-5 col-sm-5 col-xs-12 form-group pull-right top_search">
                        <div class="input-group">
                            <input type="text" class="form-control" placeholder="Search for...">
                            <span class="input-group-btn">
                      <button class="btn btn-default" type="button">Go!</button>
                    </span>
                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Edit Loan</h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li class="dropdown">
                                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                                    <ul class="dropdown-menu" role="menu">
                                        <li><a href="#">Settings 1</a>
                                        </li>
                                        <li><a href="#">Settings 2</a>
                                        </li>
                                    </ul>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <br />

                            <form action="{{url('installments/'.$installment->id)}}" method="POST" class="form-horizontal" role="form" enctype="multipart/form-data">
                                {{ method_field('PUT')}}
                                {{ csrf_field() }}
                                <div class="form-body">
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Deposited By :</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="text" class="form-control col-md-7 col-xs-12" placeholder="Depositor Name" name="deposited_by" value="{{$installment->deposited_by}}">
                                            @if ($errors->has('deposited_by'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('deposited_by') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>
                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Deposited Amount: </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="number" class="form-control col-md-7 col-xs-12" placeholder="Account Holder Name" name="deposit_amount" value="{{$installment->deposit_amount}}">
                                            @if ($errors->has('account_name'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('account_name') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Branch Name :</label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <div class="input-group">
                                    <span class="input-group-addon">
                                        <i class="fa fa-envelope-o"></i>
                                    </span>
                                                <input type="text" name="bank_branch" class="form-control col-md-7 col-xs-12" placeholder="Branch Name" value="{{$installment->bank_branch}}">
                                            </div>
                                            @if ($errors->has('bank_branch'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('bank_branch') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>


                                    <div class="form-group">
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Total Interest <span class="required">%</span></label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">
                                            <input type="number" name="interest" class="form-control col-md-7 col-xs-12"
                                                   placeholder="Interest Rates" value="{{$installment->interest}}">
                                            @if ($errors->has('interest'))
                                                <span class="help-block">
                                                <strong>{{ $errors->first('interest') }}</strong>
                                            </span>
                                            @endif
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <?php
                                        $data_format = date('m-d-Y',strtotime($installment->loan_start_date));
                                        ?>
                                        <label class="control-label col-md-3 col-sm-3 col-xs-12">Date <span class="required">*</span>
                                        </label>
                                        <div class="col-md-6 col-sm-6 col-xs-12">

                                            <input name="date" value="{{$data_format}}" class="birthday date-picker form-control col-md-7 col-xs-12" required="required" type="text">
                                        </div>
                                    </div>

                                    <div class="form-actions right">
                                        <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                            <button type="submit" class="btn btn-success">Update</button>
                                            <a type="cancel" href="{{ url('installments') }}" class="btn btn-primary">Cancel</a>
                                        </div>
                                    </div>
                                </div>
                            </form>


                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection

resources/views/loan/index.blade.php
@extends('layouts.master')
@section('content')
    <div class="right_col" role="main">
        <div class="">
            <div class="page-title">
                <div class="title_left">
                    <h3>Loan <!--<small>Some examples to get you started</small>--></h3>
                </div>

            </div>

            <div class="clearfix"></div>

            <div class="row">

                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Loan List <!--<small>Users</small>--></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                                </li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a>
                                </li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>

                        @if(Session::has('message'))

                            <div id="successMessage" class="alert alert-success alert-dismissible fade in" role="alert">
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span>
                                </button>
                                <strong>{{ Session::get('message') }}</strong>
                            </div>
                        @endif

                        <div class="x_content">
                            <!--<p class="text-muted font-13 m-b-30">
                                The Buttons extension for DataTables provides a common set of options, API methods and styling to display buttons on a page that will interact with a DataTable. The core library provides the based framework upon which plug-ins can built.
                            </p>-->
                            <div class="table-responsive">
                                <table id=""  class="loanAmount table table-striped table-bordered table-hover display" >
                                    <thead>
                                    <tr class="alert-info">
                                        <th>Loan Id</th>
                                        <th>Account Name</th>
                                        <th>Bank Name</th>
                                        <th>Bank Branch</th>
                                        <th>Amount</th>
                                        <th>Percent</th>
                                        <th>Date</th>
                                        <th>Loan Start Date</th>
                                        <th>Duration</th>
                                        <th>Comment</th>
                                        <th>Action</th>
                                    </tr>
                                    </thead>
                                    <tfoot>
                                    <tr>
                                        <th>Total:</th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </tfoot>

                                    <tbody>
                                    @foreach($loans as $loan)

                                        <tr id="loan{{$loan->id}}">
                                            <td>{{$loan->account_no}}</td>
                                            <td>{{$loan->account_name}}</td>
                                            <td>{{$loan->bank_name}}</td>
                                            <td>{{$loan->branch_name}}</td>


                                            <td>{{$loan->amount}}</td>
                                            <td>{{$loan->percent}}%</td>
                                            <td>{{$loan->date}}</td>
                                            <td>{{$loan->loan_start_date}}</td>
                                            <td>
                                                <?php
                                                $x = array();
                                                $duration = $loan->loan_duration;
                                                $x = json_decode($duration,true);
                                                echo $x[0]." Years". $x[1]." Months". $x[2]." Days";

                                                ?>

                                            </td>
                                            <td>{{$loan->comment}}</td>

                                            <td>

                                                <a href="{{route('loan.edit', $loan->id)}}" class="btn btn-primary"><span class="glyphicon glyphicon-edit"></span></a>
                                                {{--<form action="{{URL::to('/loan'.$loan->id)}}" method="post" id="choose">--}}
                                                {{--<input type="hidden" name="choose" value="{{$loan->id}}">--}}

                                                {{--<button type="button" class="btn btn-danger" onClick = "onDelete({{$loan->id}})" id="reco"><span class="glyphicon glyphicon-trash"></span></button>--}}
                                                <button class="btn confirm btn-danger delete_p"  data-toggle="modal" data-id="{{$loan->id}}"  ><span class="glyphicon glyphicon-trash"></span></button>
                                                {{--{{Form::token()}}--}}

                                            </td>
                                        </tr>
                                        {{--Modal--}}
                                        <div class="modal fade" tabindex="-1" id="myModal" aria-labelledby="myModalLabel" role="dialog">
                                            <div class="modal-dialog" role="document">
                                                <div class="modal-content">
                                                    <div class="modal-header">
                                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                                                        <h3 class="modal-title ">Delete Confirmation </h3>
                                                    </div>
                                                    <div class="modal-body ">
                                                        <p><b>Do you want to delete?&hellip;</b></p>
                                                        <input type="hidden" id="d_id">
                                                    </div>
                                                    <div class="modal-footer">
                                                        <button type="button" class="btn btn-default warning" data-dismiss="modal">Close</button>
                                                        <button type="button " class="btn btn-primary delete_product btn-danger" data-dismiss="modal" value="" data-token="{{ csrf_token() }}"data-dismiss="modal">Delete</button>
                                                    </div>
                                                </div><!-- /.modal-content -->
                                            </div><!-- /.modal-dialog -->
                                        </div><!-- /.modal -->


                                    @endforeach
                                    <meta name="_token" content="{!! csrf_token() !!}" />

                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>

            </div>
        </div>
    </div>


@endsection
@section('script')

    <script>

        setTimeout(function(){
            $("#successMessage").fadeOut('slow');
        }, 3000);

    </script>




    <script type="text/javascript">
        // $('.confirm').confirm(
        $(document).on("click", ".delete_p", function() {
            var did = $(this).data('id');
            $("#d_id").val(did);
            $('#myModal').modal('show');
        });
        var url = "loan";

        $('.delete_product').click(function(){
            var _id =  $("#d_id").val();

            //alert(_id);

            var id = _id;

            $.ajaxSetup({
                headers : {
                    'X-CSRF-TOKEN' : $('meta[name="_token"]').attr('content')
                }

            })
            $.ajax({
                type : 'DELETE',
                url : url + '/' + id,
                success: function(data){
                    console.log(id);

                    $("#loan" + id).remove();
                },
                error:function(data){
                    console.log('Error:',data);
                }

            });
        });

        //        });
        //);
    </script>



@endsection